-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0 
MT_ALERT = 1 

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

SHORT_DURATION = 1
gTrainSpeeding = FALSE
gNumSpeed = 0
gPenalty = 0

function DisplayRecordedMessage( messageName )
  SysCall("RegisterRecordedMessage", "StartDisplay" .. messageName,  

      "StopDisplay" .. messageName, 1);
end

function StartDisplayIntroText()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Munich Control",  

      "msg1.html", 10, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayIntroText()
end
-----
function StartDisplayLiamYd1()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  

      "msg2.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayLiamYd1()
end
-----
function StartDisplayAu()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  

      "msg3.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayAu()
end
-----
function StartDisplayLiamYd2()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  

      "msg4.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayLiamYd2()
end
-----
function StartDisplayWrkEnter()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  

      "msg5.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayWrkEnter()
end
-----
function StartDisplayWrk2()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  
      "msg6.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayWrk2()
end
-----
function StartDisplayWrkExit()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  
      "msg7.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
end

function StopDisplayWrkExit()
end
-----
function StartDisplayPlat5()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Yard Control",  
      "msg8.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayPlat5()
end
-----
function StartDisplayDelivery()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Munich Control",  
      "msg9.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
end

function StopDisplayDelivery()
end
-----
function StartDisplayFinish()
  SysCall ( "ScenarioManager:ShowInfoMessageExt", "Munich Control",  
      "msg10.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
end

function StopDisplayFinish()
end
-----

function OnEvent(event)
  if (event == "introtext") then
    DisplayRecordedMessage("IntroText");
  end
  if (event == "LiamYd") then
    DisplayRecordedMessage("LiamYd1");
  end
  
  if (event == "PickUp") then
    DisplayRecordedMessage("Au");
  end
  if (event == "Liam2") then
    DisplayRecordedMessage("LiamYd2");
  end
  
  if (event == "WrkEnter") then
    DisplayRecordedMessage("WrkEnter");
  end
  if (event == "Werk2") then
    DisplayRecordedMessage("Wrk2");
  end
   if (event == "WerkExit") then
    DisplayRecordedMessage("WrkExit");
  end
  if (event == "Gl5") then
    DisplayRecordedMessage("Plat5");
  end
  if (event == "ToBed") then
    DisplayRecordedMessage("Delivery");
  end
  if (event == "Fin") then
    DisplayRecordedMessage("Finish");
  end
  if (event == "OpeningScreen") then
	SysCall ( "PlayerEngine:SetControlValue", "Regulator", 0, 0);
    SysCall ( "PlayerEngine:SetControlValue", "TrainBrakeController", 0, 1);
    SysCall ( "PlayerEngine:SetControlValue", "VirtualThrottle", 0, 0);
    SysCall ( "PlayerEngine:SetControlValue", "VirtualBrake", 0, 1);
    SysCall ( "ScenarioManager:LockControls");
    SysCall ( "CameraManager:ActivateCamera", "OpeningSeq", 0 );
  end
  if (event == "ReSet") then
        SysCall("ScenarioManager:UnlockControls");
  end
  if (event == "exitSig") then
  		SysCall ( "ScenarioManager:ShowInfoMessageExt", "Munich Control",  
      "msg0.html", 10, MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
		--sigtype,sigState,distance,aspect = SysCall("PlayerEngine:GetNextRestrictiveSignal", 1, 0)
		--SysCall("ScenarioManager:ShowAlertMessageExt", "Signal", sigState, 10, FALSE);
		
  end
   if (event == "SignalCheck1") then
		timeck = SysCall("ScenarioManager:GetTimeOfDay")
		--SysCall("ScenarioManager:ShowAlertMessageExt", "Signal", timeck, 10, FALSE);
		if timeck < 70000 then
			SysCall("ScenarioManager:ShowAlertMessageExt", "Control:", "Stop Ahead", 10, FALSE);
		else
			SysCall("ScenarioManager:ShowAlertMessageExt", "Control:", "Proceed with Caution", 10, FALSE);
		end
  end
end

function TestCondition(condition)
 
	if (condition == "SignalCheckCondition") then
		sigtype, sigstate, distance, aspect = SysCall("PlayerEngine:GetNextRestrictiveSignal", 1, 0)

		--SysCall("ScenarioManager:ShowAlertMessageExt", "Signal", sigState, 10, FALSE);
		if sigState == 3 then
			SysCall("ScenarioManager:ShowAlertMessageExt", "Warning", "Stop Ahead", 10, FALSE);
		else
			SysCall("ScenarioManager:ShowAlertMessageExt", "Warning", "Proceed with Caution", 10, FALSE);
		end
	
	return CONDITION_NOT_YET_MET;
	end -- If condition
end
 
 
 